<template>
  <div class="w-80 md:w-460">
    <div
      tabindex="0"
      class="inline-flex items-center cursor-pointer"
      @click="handleClick()"
    >
      <input
        :id="id"
        type="file"
        class="hidden"
        accept=".pdf,.bmp,image/jpeg,image/jpg,.tiff,.docx"
        multiple
      />
    </div>
    <div>
      <div
        class="relative w-full bg-grey-10 border-solid border-grey-20 border text-base text-black"
      >
        <p
          class="text-base font-primary-font-bold py-2.5 px-4 overflow-ellipsis overflow-x-hidden"
        >
          <span class="pr-1 break-all">Tax-CertificateDocument1.PDF</span
          >(492kb)
        </p>
        <img
          alt="close icon"
          class="absolute top-2/4 right-4 cursor-pointer -translate-y-2/4 transform"
          src="~/assets/images/close.svg"
        />
      </div>
      <label
        class="text-sm leading-5 font-primary-font-regular text-error-20 mt-1"
      >
        Lorem ipsum dolor sit amet, consectetur adipiscing elit
      </label>
    </div>
  </div>
</template>
<script>
export default {
  name: 'MkFileUpload',
}
</script>
